/*
=====================
departments
=====================
 */
footer {
    border-top: 1px solid var(--gold);
}

#departments .container {
    position: relative;
}

#accordionDepartments .row {
    align-items: flex-start;
}

#departments-left {
    margin-left: 22px;
    width: 260px;
    flex-basis: 260px;
    max-width: 100%;
    background-color: var(--blue);
    border-top-right-radius: 30px;
    border-bottom-left-radius: 30px;
    padding: 33px 0;
    display: flex;
    flex-wrap: wrap;
}

#departments-left button {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    padding: 10px 50px;
    width: calc(100% + 22px);
    flex-basis: calc(100% + 22px);
    margin-left: -22px;
    outline: none;
    border: none;
    border-bottom-left-radius: 20px;
    color: var(--creme);
    text-decoration-line: none;
    font-size: 16px;
    line-height: 20px;
    background-color: var(--orange);
    outline: none;
    box-shadow: none;
    min-height: 50px;
}

#departments-left button.collapsed {
    background-color: rgba(255, 255, 255, 0);
}

#departments-left button .dep-logo {
    width: 45px;
    flex-basis: 45px;
    max-width: 100%;
    padding-right: 10px;
}

#departments-left button.collapsed .dep-logo .icon {
    width: 35px;
    height: 35px;
    background-color: var(--orange);
}

#departments-left button .dep-logo .icon {
    width: 35px;
    height: 35px;
    background-color: var(--white);
}

#departments-left button .dep-title {
    width: 100%;
    flex-basis: 100%;
    max-width: 100%;
    text-align: left;
}

#departments-right {
    width: calc(100% - 282px);
    flex-basis: calc(100% - 282px);
    max-width: 100%;
    padding-left: 60px;
}

#departments-right .card {
    background: rgba(255, 255, 255, 0);
    border: none;
    border-radius: 0;
}

.dep-card-body.card-body {
    padding: 0;
}

.card-body .department-title {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 20px;
}

.card-body .department-title h2 {
    margin-bottom: 0;
    width: calc(100% - 86px);
    flex-basis: calc(100% - 86px);
    max-width: 100%;
    text-align: left;
}

.dep-big-icon {
    width: 66px;
    height: 66px;
    border-radius: 50%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    border: 3px solid var(--orange);
    margin-right: 20px;
}

.dep-big-icon .icon {
    width: 35px;
    height: 35px;
    background-color: var(--orange);
}

.department-members {
    position: relative;
    padding-top: 35px;
    padding-bottom: 5px;
}

.department-members::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-image: url("../../images/dept-text-before.svg");
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    background-repeat: repeat-x;
}


#departments-right .department-member,
#departments .department-member {
    width: 33.33%;
    flex-basis: 33.33%;
    max-width: 100%;
    padding-right: 20px;
}

.department-member p,
.department-member a {
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 2px;
    text-decoration-line: none;
}

p.member-name {
    font-weight: 700;
    color: var(--blue);
}

.department-member a:hover {
    color: var(--orange);
    text-decoration-line: none;
}

.department-member {
    margin-bottom: 30px;
}

.dep-banner {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    padding-top: 40px;
}

.dep-banner .banner-text {
    margin-bottom: 0;
    width: calc(100% - 300px);
    flex-basis: calc(100% - 300px);
    max-width: 100%;
}

.dep-banner .banner-text h3 {
    margin-bottom: 5px;
}

.dep-banner .banner-text p {
    margin-bottom: 0;
}

.dep-banner .banner-button {
    width: 300px;
    flex-basis: 300px;
    max-width: 100%;
    justify-content: flex-end;
    display: flex;
    flex-wrap: wrap;
}

.dep-banner .banner-button a {
    padding-left: 30px;
    padding-right: 30px;
}

.dep-banner .banner-button a:hover {
    color: var(--orange);
}

@media (max-width: 1199.9px) {
    #departments-right .department-member,
    #departments .department-member {
        width: 50%;
        flex-basis: 50%;
        max-width: 100%;
        padding-right: 20px;
    }
}

@media (max-width: 991.8px) {
    #departments-right {
        padding-left: 20px;
    }

    .department-members {
        padding-top: 10px;
    }

    #departments-right .department-member,
    #departments .department-member {
        width: 100%;
        flex-basis: 100%;
        max-width: 100%;
        padding-right: 20px;
        margin-bottom: 15px;
    }

    .dep-banner .banner-text {
        width: 100%;
        flex-basis: 100%;
        max-width: 100%;
        justify-content: center;
        text-align-all: center;
    }

    .dep-banner .banner-button {
        width: 100%;
        flex-basis: 100%;
        justify-content: center;
        margin-top: 15px;
    }

    .dep-banner .banner-text h3,
    .dep-banner .banner-text p {
        text-align: center;
    }
}

@media (max-width: 767.8px) {
    #departments {
        padding-top: 0;
        padding-bottom: 0;
    }

    #departments-left {
        display: none;
    }

    #departments-right {
        width: 100%;
        flex-basis: 100%;
        max-width: 100%;
        padding: 0;
    }

    #departments-right .card-header {
        padding: 0;
        max-width: 100%;
        margin: 0;
        border: none;
        border-radius: 0;
    }

    #departments-right .card-header button {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
        padding: 20px;
        width: 100%;
        flex-basis: 100%;
        outline: none;
        border: none;
        color: var(--creme);
        text-decoration-line: none;
        font-size: 16px;
        line-height: 20px;
        background-color: var(--orange);
        outline: none;
        box-shadow: none;
        min-height: 50px;
        border-radius: 0;
    }

    #departments-right .card-header button.collapsed {
        background-color: var(--blue);
    }

    #departments-right button .dep-logo {
        width: 45px;
        flex-basis: 45px;
        max-width: 100%;
        padding-right: 10px;
    }

    #departments-right button.collapsed .dep-logo .icon {
        width: 35px;
        height: 35px;
        background-color: var(--orange);
    }

    #departments-right button .dep-logo .icon {
        width: 35px;
        height: 35px;
        background-color: var(--white);
    }

    #departments-right button .dep-title {
        width: calc(100% - 85px);
        flex-basis: calc(100% - 85px);
        max-width: 100%;
        text-align: left;
    }

    #departments-right button .arrow {
        width: 40px;
        flex-basis: 40px;
        height: 40px;
        max-width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }

    #departments-right button .arrow span {
        width: 35px;
        height: 35px;
        display: block;
        background-color: var(--white);
        mask: url('../../images/department-arrow.svg') no-repeat center;
        -webkit-mask: url('../../images/department-arrow.svg') no-repeat center;
        -webkit-transition: all .4s ease-out;
        -moz-transition: all .4s ease-out;
        -o-transition: all .4s ease-out;
        transition: all .4s ease-out;
    }

    #departments-right button.collapsed .arrow span {
        transform: rotate(180deg);
    }

    .dep-card-body.card-body {
        padding: 30px 15px;
    }
}
